Bug 1656898 - Changing group password with groupmod -p doesn't generate AUDIT_GRP_CHAUTHTOK event.
Summary: Changing group password with groupmod -p doesn't generate AUDIT_GRP_CHAUTHTOK...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: shadow-utils
Version: 8.0
Hardware: Unspecified
OS: Linux
high
high
Target Milestone: rc
: 8.0
Assignee: Tomas Mraz
QA Contact: Martin Zelený
URL:
Whiteboard:
Depends On: 1682509
Blocks: 1510124
TreeView+ depends on / blocked
 
Reported: 2018-12-06 15:52 UTC by Ivan Nikolchev
Modified: 2020-11-14 14:22 UTC (History)
6 users (show)

Fixed In Version: shadow-utils-4.6-8.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-05 22:28:30 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)
Patch to log group password change (1.08 KB, patch)
2019-04-14 12:20 UTC, Steve Grubb
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:3618 0 None None None 2019-11-05 22:28:39 UTC

Comment 3 Steve Grubb 2019-04-14 12:20:45 UTC
Created attachment 1555039 [details]
Patch to log group password change

This should fix the issue. It should look something like:

type=GRP_CHAUTHTOK msg=audit(04/14/2019 08:10:43.683:1649) : pid=21296 uid=root auid=sgrubb ses=3 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 msg='op=changing-shadow-group grp=testgroup1 acct=testgroup1 exe=/home/sgrubb/working/BUILD/shadow-4.6/src/groupmod hostname=localhost addr=? terminal=pts/0 res=success'

Comment 12 errata-xmlrpc 2019-11-05 22:28:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3618


Note You need to log in before you can comment on or make changes to this bug.